// warehouse.cpp : implementation file
//

#include "stdafx.h"
#include "warehouse.h"

Warehouse::Warehouse()
{
	CString initSKU = "          ";
	m_sSKU = new char [initSKU.GetLength() + 1];
	strcpy(m_sSKU, initSKU.GetBuffer(1024));
	initSKU.ReleaseBuffer();
	m_lQuantity = 0;
	m_sMfgID = "483962";
	XMLbufflen = 256;
}

Warehouse::~Warehouse()
{
	// delete m_sSKU;
	// delete m_XMLbuffer;
}


void
Warehouse::SortList()
{

	const int ILOOP = 2000;

	int * itemList = new int [ILOOP];
//	int temp, j;
	int	i;

	for (i=0; i<ILOOP; i++) 
	{
		itemList[i] = rand();
	}

	sort(itemList, 0, ILOOP-1);

	delete [] itemList;


}

CString Warehouse::StockReorder(CString sku,CString mfgID)
{

	CString	strResult;
	int		rc;

	// Allocate the XML buffer for communication w/manufacturer's ordering application
	m_XMLbuffer = new char[XMLbufflen];

	// Place the order with the manufacturer
	rc = OrderFromMfg(sku,mfgID,m_XMLbuffer);

	switch (rc)
	{
	case 0:	
		// order successfully placed
		strResult.Format("New order placed with Manufacturer - %s for CD for UPC - %s",sku,mfgID);
		
		break;

	case 1:
		// manufacturer is out of stock
		strResult.Format("CD with UPC %s out of stock at Manufacturer %s",mfgID,sku);
		break;

	default:
		// error from OrderFromMfg();
//		strResult.Format("An error occurred in OrderFromMfg();");
		break;
	}

	
	// Sort orders
	SortList();

	return strResult;
}



int Warehouse::StockUpdate(CString sku)
{
	// Update the order.
	SetSKU(sku);

	if	( strcmp(m_sSKU, "2635179212") == 0 )
		{
			m_lQuantity = 0;
		}
	else
	{
		m_lQuantity = GetQuantity();
	}

	// Sort orders
	SortList();

	return m_lQuantity;
}

void Warehouse::SetSKU(CString sku)
{
	// Set the SKU value in m_sSKU
//	delete m_sSKU;
	m_sSKU = new char [sku.GetLength() + 1];
	strcpy(m_sSKU, sku.GetBuffer(1024));
	sku.ReleaseBuffer();
}


int Warehouse::GetQuantity()
{
	
	int i;
	i=rand()%100;
	return i;

} 



int Warehouse::OrderFromMfg(CString sku,CString mfgID,CString XMLbuff)
{
	if (sku.GetLength() < 10) return 999;
	else return 0;
}


CString	Warehouse::ThresholdCheck(CString sku,int quantity)
{
	CString strResult = " ";
	CString temp;
	try
	{
		SetSKU(sku);
		temp = GetSKU();
		if (true)
			strResult.Format("SKU = %s",temp);
		else
		{
			if (quantity < 20) strResult.Format("Time to reorder CD");
			else strResult.Format("Reorder threshold has not been reached");
		}
	}
	catch (...)
	{
		// do nothing
	}
	return strResult;
}


// QuickSort
// /*

void sort (int array[], int left, int right) 
{

	int partition(int [], int, int);   	   
	int pivot;
	pivot = partition(array, left, right);

	if (left < pivot)
		sort(array, left, pivot-1);
	if (right > pivot)
		sort(array, pivot+1, right);
}

int partition(int array[], int left, int right)
{
	int pivot;
	pivot = array[left];
	while(left < right)
	{

		while (array[right] >= pivot && left < right)
		right--;
		if (left != right)
			{
				 array[left] = array[right];
				left++;
			}
  
		while (array[left] <= pivot && left < right)
		left++;
		if (left != right)
		{
			array[right] = array[left];
			right--;
		}
	}
	array[left] = pivot;
	return (left);
}

// */

//Bubble sort
/*

void sort (int array[], int left, int right) 
{
	int temp, i, j;


		for (i = 0; i < right+1; i++) 
	{
        for (j = 0; j < right; j++) 
		{
            if (array[j] > array[j+1]) 
			{
                temp = array[j];
                array[j] = array[j+1];
                array[j+1] = temp;
            }
        }
	}
}

*/
