@REM Start up WebLogic 6 server
@REM This batch file determines WebLogic install location and then starts the server
@REM Brian Bryson, BBryson@Rational.Com
@REM Vancouver, BC, Canada
@REM Original   : 14-May-01, Rainier, v2001A
@REM Last Update: 25-Sep-01, Olympus Mons, v2002

@Echo off
	CLS
	@REM Setup classpath and environment variables
	@REM NOTE: This batch file overwrites MYCLASSPATH, removing refrence to ejb_classics.jar
	CALL UTL_SetEnv.BAT
@Echo On

@Echo Off
	@REM Determine if installed to D: drive or C: Drive
	set WL_HOME | find /c /i "C:" > nul
	if errorlevel 1 goto DDrive
	if errorlevel 0 goto CDrive

	:CDrive
	@REM Weblogic is installed on C:, switch to C: Drive
	C:
	goto StartWL6Server

	:DDrive
	@REM Weblogic is installed on D:, switch to D: Drive
	D:
	
	:StartWL6Server
	cd "%WL_HOME%"\user_projects\ClassicsJ2EE\ClassicsJ2EE
	CALL startClassicsJ2EE.cmd
	cd C:\Classics\RQA Tests\RQA WebLogic Assets
@Echo On

:End
@REM It All end here